Index: LMDZ4/trunk/libf/phylmd/physiq.F
===================================================================
--- LMDZ4/trunk/libf/phylmd/physiq.F	(revision 781)
+++ LMDZ4/trunk/libf/phylmd/physiq.F	(revision 782)
@@ -3172,25 +2790,5 @@
 c     .            agesno, ftsol,fqsurf,fsnow, ruis)
 c
-      DO i = 1, klon
-         zxqsurf(i) = 0.0
-         zxsnow(i) = 0.0
-      ENDDO
-      DO nsrf = 1, nbsrf
-      DO i = 1, klon
-         zxqsurf(i) = zxqsurf(i) + fqsurf(i,nsrf)*pctsrf(i,nsrf)
-         zxsnow(i) = zxsnow(i) + fsnow(i,nsrf)*pctsrf(i,nsrf)
-      ENDDO
-      ENDDO
-c
-c Si une sous-fraction n'existe pas, elle prend la valeur moyenne
-c
-cXXX      DO nsrf = 1, nbsrf
-cXXX      DO i = 1, klon
-cXXX         IF (pctsrf(i,nsrf).LT.epsfra) THEN
-cXXX            fqsurf(i,nsrf) = zxqsurf(i)
-cXXX            fsnow(i,nsrf) = zxsnow(i)
-cXXX         ENDIF
-cXXX      ENDDO
-cXXX      ENDDO
+
 c
 c Calculer le bilan du sol et la derive de temperature (couplage)
@@ -3493,5 +3091,4 @@
      $                        annee_ref,
      $                        day_ini,
-     $                        airephy,      
 #ifdef INCA_AER
      $                        xjour,
@@ -3558,4 +3155,22 @@
 c=============================================================
 #ifdef CPP_IOIPSL
+ 
+c Recupere des varibles calcule dans differents modules
+c pour ecriture dans histxxx.nc 
+
+      ! Get some variables from module mod_fonte_neige
+      CALL fonte_neige_get_vars(pctsrf, 
+     .     zxfqcalving, zxfqfonte, zxffonte)
+
+      IF (ocean == 'slab') THEN
+         ! Get some variables from module oceanslab
+         CALL ocean_slab_get_vars(tslab, seaice, fluxo, fluxg)
+      ELSEIF (ocean == 'couple') THEN
+         ! Get some variables from module oceancpl
+         CALL ocean_cpl_get_vars(fluxo, fluxg)
+      ELSE 
+         ! Get some variables from module oceanforced
+         CALL ocean_forced_get_vars(fluxo, fluxg)
+      ENDIF
 
 #ifdef histhf
@@ -3595,18 +3210,16 @@
 c====================================================================
 c
+      
+
       IF (lafin) THEN
          itau_phy = itau_phy + itap
-ccc         IF (ok_oasis) CALL quitcpl
-         CALL phyredem ("restartphy.nc",dtime,radpas,
-     .      rlat, rlon, pctsrf, ftsol, ftsoil,
-cIM "slab" ocean
-     .      tslab, seaice, 
-     .      fqsurf, qsol,
-     .      fsnow, falbe,falblw, fevap, rain_fall, snow_fall,
-cIM  .      solsw, sollwdown,dlw,
-     .      solsw, sollw,dlw,
-     .      radsol,frugs,agesno,
+         CALL phyredem ("restartphy.nc",dtime,radpas,ocean,
+     .      rlat, rlon, pctsrf, ftsol,
+     .      falbe,falblw, rain_fall, 
+     .      snow_fall,
+     .      solsw, sollw,
+     .      radsol,
      .      zmea,zstd,zsig,zgam,zthe,zpic,zval,rugoro,
-     .      t_ancien, q_ancien, rnebcon, ratqs, clwcon,run_off_lic_0)
+     .      t_ancien, q_ancien, rnebcon, ratqs, clwcon)
       ENDIF
       
Index: LMDZ4/trunk/libf/phylmd/phytrac.F
===================================================================
--- LMDZ4/trunk/libf/phylmd/phytrac.F	(revision 781)
+++ LMDZ4/trunk/libf/phylmd/phytrac.F	(revision 782)
@@ -415,5 +415,6 @@
 
 
-          ecrit_tra = NINT(86400./pdtphys *ecritphy) 
+c jg: c'est ca qu'on veut?????           
+          ecrit_tra = FLOAT(NINT(86400./pdtphys *ecritphy)) 
           print*,'dans phytrac ',pdtphys,ecritphy,ecrit_tra
 
Index: LMDZ4/trunk/libf/phylmd/printflag.F
===================================================================
--- LMDZ4/trunk/libf/phylmd/printflag.F	(revision 781)
+++ LMDZ4/trunk/libf/phylmd/printflag.F	(revision 782)
@@ -2,5 +2,5 @@
 ! $Header$
 !
-       SUBROUTINE  printflag( tabcntr0, radpas, ok_ocean,ok_oasis,
+       SUBROUTINE  printflag( tabcntr0, radpas, 
      ,                        ok_journe,ok_instan,ok_region        )
 c
@@ -14,5 +14,5 @@
        LOGICAL cycle_diurn0,soil_model0,new_oliq0,ok_orodr0
        LOGICAL ok_orolf0,ok_limitvr0
-       LOGICAL ok_ocean,ok_oasis,ok_journe,ok_instan,ok_region
+       LOGICAL ok_journe,ok_instan,ok_region
        INTEGER radpas , radpas0
 c
@@ -53,7 +53,4 @@
 
        PRINT 8, radpas
-       PRINT 100
-
-       PRINT 5,  ok_ocean,ok_oasis
        PRINT 100
 
@@ -138,8 +135,4 @@
      , l3,3x,',ok_region = ',l3,3x,5(1H*) )
 
- 5    FORMAT(2x,5(1H*),'      ok_ocean = ',l3,6x,' , ok_oasis = ',
-     , l3,14x,5(1H*) )
-
-
  7     FORMAT(2x,5(1H*),15x,'      ok_limitvrai   = ',l3,16x,5(1h*) )
 
Index: LMDZ4/trunk/libf/phylmd/readsulfate.F
===================================================================
--- LMDZ4/trunk/libf/phylmd/readsulfate.F	(revision 781)
+++ LMDZ4/trunk/libf/phylmd/readsulfate.F	(revision 782)
@@ -41,5 +41,5 @@
 c Input:
 c ------
-      REAL*8  r_day                   ! Day of integration
+      REAL  r_day                   ! Day of integration
       LOGICAL first                 ! First timestep 
                                     ! (and therefore initialization necessary)
@@ -47,8 +47,7 @@
 c Output:      
 c -------     
-      REAL*8  sulfate_p(klon_omp,klev)
-      REAL*8  sulfate (klon, klev)  ! Mass of sulfate (monthly mean data, 
+      REAL  sulfate_p(klon_omp,klev)
+      REAL  sulfate (klon, klev)  ! Mass of sulfate (monthly mean data, 
                                   !  from file) [ug SO4/m3]
-      REAL*8,SAVE,ALLOCATABLE :: sulfate_mpi(:,:) 
 c      
 c Local Variables:
@@ -58,19 +57,13 @@
       parameter (ny=jjm+1)
       
-      INTEGER ismaller
 CJLD      INTEGER idec1, idec2 ! The two decadal data read ini
       CHARACTER*4 cyear
       
       INTEGER im, day1, day2, im2
-      REAL*8 so4_1(iim, jjm+1, klev, 12)
-      REAL*8 so4_2(iim, jjm+1, klev, 12)   ! The sulfate distributions
-      
-cym      REAL*8 so4(klon, klev, 12)  ! SO4 in right dimension
-cym      SAVE so4
-cym      REAL*8 so4_out(klon, klev)
-cym      SAVE so4_out
-
-      REAL*8,allocatable,save :: so4(:, :, :)  ! SO4 in right dimension
-      REAL*8,allocatable,save :: so4_out(:, :)
+      REAL so4_1(iim, jjm+1, klev, 12)
+      REAL so4_2(iim, jjm+1, klev, 12)   ! The sulfate distributions
+      
+      REAL, allocatable,save :: so4(:, :, :)  ! SO4 in right dimension
+      REAL, allocatable,save :: so4_out(:, :)
 c$OMP THREADPRIVATE(so4,so4_out)
       
@@ -290,5 +283,5 @@
       
 c$OMP END MASTER
-      call Scatter(real(sulfate),real(sulfate_p))            
+      call Scatter(sulfate,sulfate_p)            
 
       RETURN
@@ -333,10 +326,9 @@
 #include "chem.h"      
 #include "dimensions.h"      
-cym#include "dimphy.h"      
 #include "temps.h"      
 c 
 c Input:
 c ------
-      REAL*8  r_day                   ! Day of integration
+      REAL  r_day                   ! Day of integration
       LOGICAL first                 ! First timestep 
                                     ! (and therefore initialization necessary)
@@ -344,7 +336,7 @@
 c Output:      
 c -------     
-      REAL*8  pi_sulfate_p (klon_omp, klev)  
+      REAL  pi_sulfate_p (klon_omp, klev)  
                                  
-      REAL*8  pi_sulfate (klon, klev)  ! Number conc. sulfate (monthly mean data, 
+      REAL  pi_sulfate (klon, klev)  ! Number conc. sulfate (monthly mean data, 
                                   !  from fil
 c      
@@ -355,14 +347,9 @@
       parameter (ny=jjm+1)
       
-      INTEGER im, day1, day2, im2, ismaller
-      REAL*8 pi_so4_1(iim, jjm+1, klev, 12)
-
-cym      REAL*8 pi_so4(klon, klev, 12)  ! SO4 in right dimension
-cym      SAVE pi_so4
-cym      REAL*8 pi_so4_out(klon, klev)
-cym      SAVE pi_so4_out
-
-      REAL*8,allocatable,save :: pi_so4(:, :, :)  ! SO4 in right dimension
-      REAL*8,allocatable,save :: pi_so4_out(:, :)
+      INTEGER im, day1, day2, im2
+      REAL pi_so4_1(iim, jjm+1, klev, 12)
+
+      REAL, allocatable,save :: pi_so4(:, :, :)  ! SO4 in right dimension
+      REAL, allocatable,save :: pi_so4_out(:, :)
 c$OMP THREADPRIVATE(pi_so4,pi_so4_out)            
       
@@ -530,5 +517,5 @@
       
 c$OMP END MASTER
-      call Scatter(real(pi_sulfate),real(pi_sulfate_p))            
+      call Scatter(pi_sulfate,pi_sulfate_p)            
 
       RETURN
@@ -563,7 +550,6 @@
       
             
-      REAL*8 so4mth(iim, ny, klev)
-c      REAL*8 so4mth(klev, ny, iim)
-      REAL*8 so4(iim, ny, klev, 12)
+      REAL so4mth(iim, ny, klev)
+      REAL so4(iim, ny, klev, 12)
 
  
@@ -609,8 +595,12 @@
          STATUS = NF_INQ_VARID (NCID, cvar, VARID)
          write (*,*) ncid,imth,cvar, varid
-c         STATUS = NF_INQ_VARID (NCID, VARMONTHS(i), VARID(i))
+
          IF (STATUS .NE. NF_NOERR) write (*,*) 'err in read ',status      
-         STATUS = NF_GET_VARA_DOUBLE
-     .    (NCID, VARID, START,COUNT, so4mth)
+
+#ifdef NC_DOUBLE
+         status = NF_GET_VAR_DOUBLE(NCID, VARID, START, COUNT, so4mth)
+#else
+         status = NF_GET_VAR_REAL(NCID, VARID, START, COUNT, so4mth)
+#endif
          IF (STATUS .NE. NF_NOERR) write (*,*) 'err in read data',status
          
@@ -623,5 +613,4 @@
                   endif
                   so4(i,j,k,imth)=so4mth(i,j,k)
-c                  so4(i,j,k,imth)=so4mth(k,j,i)
                ENDDO
             ENDDO
@@ -630,4 +619,7 @@
       
       STATUS = NF_CLOSE(NCID)
+      IF (STATUS .NE. NF_NOERR) write (*,*) 'err in closing file',status
+
+
       END ! subroutine getso4fromfile
       
Index: LMDZ4/trunk/libf/phylmd/write_histday.h
===================================================================
--- LMDZ4/trunk/libf/phylmd/write_histday.h	(revision 781)
+++ LMDZ4/trunk/libf/phylmd/write_histday.h	(revision 782)
@@ -548,9 +548,9 @@
 c
       DO i=1, klon
-       zx_tmp_2d(i)=MIN(100.,rh2m(i)*100.)
+       zx_tmp_fi2d(i)=MIN(100.,rh2m(i)*100.)
       ENDDO
 c
 cym      CALL gr_fi_ecrit(1,klon,iim,jjmp1, zx_tmp_2d,zx_tmp_2d)
-      CALL histwrite_phy(nid_day,"rh2m",itau_w,zx_tmp_2d)
+      CALL histwrite_phy(nid_day,"rh2m",itau_w,zx_tmp_fi2d)
 c
 cym      CALL gr_fi_ecrit(1,klon,iim,jjmp1, qsat2m,zx_tmp_2d)
Index: LMDZ4/trunk/libf/phylmd/write_histhf.h
===================================================================
--- LMDZ4/trunk/libf/phylmd/write_histhf.h	(revision 781)
+++ LMDZ4/trunk/libf/phylmd/write_histhf.h	(revision 782)
@@ -332,6 +332,7 @@
 cym      CALL gr_fi_ecrit(nbteta,klon,iim,jjmp1,PVteta,zx_tmp_3dte)
       DO k=1, nbteta
+       zx_tmp_fi2d(1:klon) = PVteta(1:klon,k)
        CALL histwrite_phy(nid_hf,"PV"//ctetaSTD(k),
-     .      itau_w,PVteta)
+     .      itau_w,zx_tmp_fi2d)
       ENDDO !k=1, nbteta
       ENDIF
